Bug 558665 - Samba share parameter "Share modes" should be a boolean config.
Samba share parameter "Share modes" should be a boolean config.
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
1.4
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
John Sefler
: SubBug
Depends On:
Blocks: RHQ_Config rhq_triage
  Show dependency treegraph
 
Reported: 2010-01-25 18:12 EST by John Sefler
Modified: 2014-05-23 17:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-23 17:01:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2010-01-25 18:12:03 EST
Description of problem:
Currently, RHQ is showing the samba share config parameter "Share modes"
as a text field.

Fix: The value should be boolean

Additional info:
As currently programmed, if you set a non-boolean value (e.g. foo) for "Share modes" in the rhq UI and saving, running testparm on the agent's filesystem will display an Error...

[root@agent_box tmp]# testparm -s --section-name "myshare" --parameter-name "share modes"

> ERROR: Badly formed boolean in configuration file: "foo".
Comment 1 wes hayutin 2010-02-08 14:44:45 EST
Charles does not want this worked on until the feature is back on the road map,
removing the automation blocker tag.
Comment 2 wes hayutin 2010-02-16 11:51:07 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 11:57:42 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Corey Welton 2010-09-30 10:07:35 EDT
lowering severity/priority - not an enterprise plugin

Note You need to log in before you can comment on or make changes to this bug.